PPSPYAPI Platform
EN / 中文
API REFERENCE

Monitor Task Landing Page Overview API

POST/open-api/v1/ad-monitor-task/landing-pages-overview
·api.ppspy.com
Data and monitoring usage rules

Points Consumption Rules: 1. Retrieving a Shopify data result consumes 1 data, while retrieving an ad library data result consumes 2 data. Retrieving additional data details for a data result does not consume data. 2. Ad monitoring and sales monitoring: Each monitoring session costs $1/month. Each monitoring session is valid for one month and automatically expires after one month. Deleting a monitoring session does not restore the monitoring session, so please delete with caution. Monitoring sessions can be accessed at any time and are unlimited.

Request headers

AUTHORIZATIONAuthorization: {API Key}
CONTENT-TYPEapplication/json
ACCEPTapplication/json

Request example

cURL
curl --location --request POST 'https://api.ppspy.com/open-api/v1/ad-monitor-task/landing-pages-overview' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'Authorization: {API Key}' \
--data-raw '{
    "task_id": "902175d02614903e4944dfdfe85bbb4d",
    "page": 1,
    "per_page": 10
}'

Request parameters 4 fields

Pass each parameter in its specified location.

Parameter Type Description
body
body · optional
object | none
» task_id
body · required
string Monitor Task ID | none
» page
body · optional
integer Page Number | Minimum value is 1.
» per_page
body · optional
integer Page Size | Value range: 1-100.

Response example

Response · JSON
{
    "code": 200,
    "message": "success",
    "data": {
        "current_page": 1,
        "data": [
            {
                "landing_page_url": "https:\/\/bloomchic.com\/collections\/swim?sort_by=tropical-flower-print-pockets-one-piece-swimsuit",
                "ad_count": 1746,
                "proportion": 3.41
            },
            {
                "landing_page_url": "https:\/\/bloomchic.com\/collections\/swim?sort_by=floral-print-ruched-mesh-one-piece-sarong",
                "ad_count": 1245,
                "proportion": 2.43
            },
            {
                "landing_page_url": "https:\/\/bloomchic.com\/collections\/bloomchic-fit-lab",
                "ad_count": 1242,
                "proportion": 2.43
            },
            {
                "landing_page_url": "https:\/\/bloomchic.com\/collections\/bloomchic-fit-label",
                "ad_count": 989,
                "proportion": 1.93
            },
            {
                "landing_page_url": "https:\/\/bloomchic.com\/collections\/bloom-sale",
                "ad_count": 472,
                "proportion": 0.92
            },
            {
                "landing_page_url": "https:\/\/bloomchic.com\/collections\/swim?sort_by=paisley-print-twist-front-swim-dress",
                "ad_count": 399,
                "proportion": 0.78
            },
            {
                "landing_page_url": "https:\/\/bloomchic.com\/collections\/tops-styled-by-bloomchic?sort_by=garden-print-spliced-v-neck-blouse",
                "ad_count": 365,
                "proportion": 0.71
            },
            {
                "landing_page_url": "https:\/\/bloomchic.com\/collections\/tops-styled-by-bloomchic?sort_by=back-bow-tie-textured-top,boho-print-shirred-waist-wide-leg-pants",
                "ad_count": 318,
                "proportion": 0.62
            },
            {
                "landing_page_url": "https:\/\/bloomchic.com\/collections\/swim?sort_by=striped-non-removable-cups-swim-tankini",
                "ad_count": 306,
                "proportion": 0.6
            },
            {
                "landing_page_url": "https:\/\/bloomchic.com\/collections\/swim?sort_by=two-piece-citrus-print-sarong-swimsuit",
                "ad_count": 295,
                "proportion": 0.58
            }
        ],
        "last_page": 842,
        "per_page": 10,
        "total": 8413
    },
    "credits": {
        "remaining_credits": 745,
        "consumed_credits": 0,
        "total_credits": 745
    }
}
Example data from the existing documentation

Response structure

Name Type Required Constraints Display Name Description
» code integer true none Business status code
» message string true none Response Message none
» data object true none Response Data none
»» current_page integer true none Current Page Number none
»» data [object] true none Data List none
»»» landing_page_url string true none Landing Page URL none
»»» ad_count integer true none Ad Count none
»»» proportion number true none Proportion (Percentage) none
»» last_page integer true none Last Page Number none
»» per_page integer true none Page Size none
»» total integer true none Total Count none
» credits object true none Credits information Credits information for the current API request
»» remaining_credits integer true none Remaining credits Remaining credits after this request
»» consumed_credits integer true none Consumed credits Credits consumed by this request
»» total_credits integer true none Total credits Total credits of the current credits type
Search the existing endpoint names and paths